'use strict'

const Gpio = require("../lib/gpio2.js").Gpio;

const portIn = 'gpio21', portOut = 32;

/*
let gpio = new Gpio(pin, activeLow);
gpio.export(direction, edge, debounceTimeout);
*/

let gpio = new Gpio(portIn);

gpio.export(Gpio.DIR_IN, {
  debounceTimeout: 500
});

/*gpio.watch(function(){
  console.log('watched', gpio.edge, gpio.value, arguments);
  //gpio.trigger('haha');
  //gpio.unexport();
});*/

gpio.on('rising', function(e){
  console.log('rising', e, gpio.edge,gpio.listeners('falling2'));
});

function foo(e){
  console.log('falling', e, gpio.edge);
}

gpio.on('falling', foo);

//gpio.removeListener('falling', foo);

//gpio.on('haha', function(){
//  console.log('haha');
//});

let signal = new Gpio(portOut);

signal.export(Gpio.DIR_OUT, {
  activeLow: true
});

setInterval(function(){
  signal.toggleValue().then(function(value){
    console.log('+',value);
  });
  //console.log(signal.value);
}, 1000);

process.on("SIGINT", function(){
  gpio.unexport();
  signal.unexport();

  console.log('shutdown!');
  process.exit(0);
});

